# -----------------------------------------------------------------------------
sub infCkpt
# Note: this subroutine must follow infLocks
{
  ($thishost) = @_;

  if ($up[$thishost] ne "Y")
  {
    logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  ##print "ckptavg=$ckptavg[$thishost] \n";
  if ($ckptavg[$thishost] > 120)
  { 
    &event("I",$thishost,"Current Average Checkpoint Duration is $ckptavg[$thishost] Seconds","CkptDur","DBA350I");
  }
  else
  {
    $msg = sprintf("OK - ckptavg=%s",$ckptavg[$thishost]);
    &logit($msg,$thishost);
  }
}
# -----------------------------------------------------------------------------
1;
