sub begin_stuff
#-------------------------------------------------------------------------
# Start of iteration stuff
#-------------------------------------------------------------------------
{
  &logit("begin_stuff - Starting");

  system("mv $tmpdir/dbamon_savemsg_next $tmpdir/dbamon_savemsg_this > /dev/null 2>&1");
  system("rm $tmpdir/dbamon_savemsg_next > /dev/null 2>&1");
  system("touch $tmpdir/dbamon_savemsg_this");
  system("touch $tmpdir/dbamon_savemsg_next");

  system("rm $html_path 2>/dev/null");

  # multi-task mode - we don't want to do this
  #system("rm " html_events_dir "/*.new 2>/dev/null")

  $i = 1;
  while ($i <= $high_host)
  {
    $html_events_flag[$i] = 0 ;
    $html_details_flag[$i] = 0 ;
    $msgs[$i] = "";
    $i++ ;
    $html_events_index[$i] = "";
  }

  ##open(HTML_PATH,  ">$html_path") || &error_msg("Can't open output $html_path - $!");
  ##print HTML_PATH "<title>DBAmon Event Log</title>" >  html_path
  ##print "<body bgcolor=white><font face=verdana>" >> html_path
  ##print "<h3>DBAmon Event Log</h3>" >>  html_path
  ##print "<h5>DBAmon Version " verrel " Running On System " wsname "</h5>" >>  html_path
  ##close(HTML_PATH);
  ##chop($date = `date`);
  ##msgid = "DBA500N"
  ##lg_msg("As of: " date)
  ##close html_path

  $grand_total_size = 0;
  $s_count = 0;

  #---- Determine detail log file name

  chop($downum = `date +%u`);

  if ($downum eq "1") { $dow = "Mon" }
  if ($downum eq "2") { $dow = "Tue" }
  if ($downum eq "3") { $dow = "Wed" }
  if ($downum eq "4") { $dow = "Thu" }
  if ($downum eq "5") { $dow = "Fri" }
  if ($downum eq "6") { $dow = "Sat" }
  if ($downum eq "7") { $dow = "Sun" }

  if ($mode eq "test")
  {
    $logfile = "/opt/dbamon/log/stdout_test_$dow.txt";
  }
  else    
  {
    $logfile = "/opt/dbamon/log/stdout_prod_$dow.txt";
  }

  $msg = sprintf("  Monitoring data will be logged to %s",$logfile);
  &logit($msg);

  #----
  #---- START - New (5.30) logic to save events in a TABLE (not files)
  #----

  #---- Get the highest TH_ITER_SEQ from TASK_HISTORY for this MODE - Save as G_LASTITER_SEQ
  &readTaskHistory; 

  #---- Add 1 to that number or set at 100 if NULL - save as G_THISITER_SEQ
  if ($g_lastiter_seq == -1)  #---- First time
  {
    $g_thisiter_seq = 100; 
  }
  else
  {
    $g_thisiter_seq = $g_lastiter_seq + 1;  
  }
 
  #---- AT THE END OF THIS ITERATION - Insert row into TASK_HISTORY (mode, G_THISITER_SEQ, default TS)  
 
  #----
  #---- END   - New (5.30) logic to save events in a TABLE (not files)
  #----

  &logit("begin_stuff - Done - g_thisiter_seq=$g_thisiter_seq - g_lastiter_seq=$g_lastiter_seq");
}

#-------------------------------------------------------------------------------
1;
